// stdafx.h : Include-Datei fr Standard-System-Include-Dateien,
//  oder projektspezifische Include-Dateien, die hufig benutzt, aber
//      in unregelmigen Abstnden gendert werden.
//

#if !defined(AFX_STDAFX_H__E5605386_683F_11D3_BAC9_000021502136__INCLUDED_)
#define AFX_STDAFX_H__E5605386_683F_11D3_BAC9_000021502136__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define VC_EXTRALEAN		// Selten verwendete Teile der Windows-Header nicht einbinden
#include <afxwin.h>         // MFC-Kern- und -Standardkomponenten
#include <afxext.h>         // MFC-Erweiterungen
#include <afxdisp.h>        // MFC Automatisierungsklassen
#include <afxdtctl.h>		// MFC-Untersttzung fr allgemeine Steuerelemente von Internet Explorer 4
#include <afxole.h>         // MFC OLE classes
#include <afxodlgs.h>       // MFC OLE dialog classes
#include <afxdisp.h >       // MFC OLE automation classes
#include <afxpriv.h>
#include <afxdao.h>
#include <afxtempl.h>
#include <atlbase.h>

#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC-Untersttzung fr gngige Windows-Steuerelemente
#endif // _AFX_NO_AFXCMN_SUPPORT
#include <winsock2.h>
#include <afxsock.h>
#include "htmlhelp.h"

typedef struct {
	CString host;
	BOOL online;
} ONLINE_ENTRY;

typedef struct {
	CString host;
	CString login;
	CString password;
	unsigned int port;
	CString dbname;
} DATABASE;

typedef struct {
	// original query as entered in the box
	CString str_query;
	// constructed query for the db
	CString search;
	// subquery for the db
	CString subsearch;
	// path for cache files
	CString path;
	// page currently displayed
	int num_page;
	int max_page_cached;
	unsigned int hits_per_page;
	// do we already search the directory names?
	bool search_dir;
	// files to skip
	unsigned int first;
	unsigned int first_old;
	bool more_available;
	CButton *forward;
	CButton *rewind;
	CButton *submit;
	bool quit;
} SEARCH_STATE;

typedef CArray <CString, CString &> URL_ARRAY;

#define ICON_UNKNOWN 0
#define ICON_FOLDER 1

#define MAX_HITS_SHOWN 1000

#define CMD_BROWSE_DIR 1

#define HOST_SMB 1
#define HOST_FTP 2
#define KILO (1024)
#define MEGA (1024*1024)
#define GIGA (1024*1024*1024)

#define SEARCH_WILDCARD 0
#define SEARCH_TEXT 1
#define SEARCH_REGEXP 2
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_STDAFX_H__E5605386_683F_11D3_BAC9_000021502136__INCLUDED_)
